TaskAttemptContext (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class TaskAttemptContext

    java.lang.Object
      org.apache.hadoop.mapreduce.JobContext
          org.apache.hadoop.mapreduce.TaskAttemptContext

All Implemented Interfaces:
  Progressable

Direct Known Subclasses:
  TaskAttemptContext, TaskInputOutputContext

    public class TaskAttemptContext

extends JobContext
implements Progressable

The context for task attempts.

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.JobContext
`CACHE_ARCHIVES_VISIBILITIES, CACHE_FILE_VISIBILITIES, COMBINE_CLASS_ATTR, conf, credentials, INPUT_FORMAT_CLASS_ATTR, JAR_UNPACK_PATTERN, JOB_ACL_MODIFY_JOB, JOB_ACL_VIEW_JOB, JOB_CANCEL_DELEGATION_TOKEN, JOB_NAMENODES, MAP_CLASS_ATTR, MAPREDUCE_TASK_CLASSPATH_PRECEDENCE, OUTPUT_FORMAT_CLASS_ATTR, PARTITIONER_CLASS_ATTR, REDUCE_CLASS_ATTR, ugi, USER_LOG_RETAIN_HOURS`

Constructor Summary
`TaskAttemptContext(Configuration conf, TaskAttemptID taskId)`

Method Summary
`String` | `getStatus()` Get the last set status message.
`TaskAttemptID` | `getTaskAttemptID()` Get the unique name for this task attempt.
`void` | `progress()` Report progress.
`void` | `setStatus(String msg)` Set the current status of the task to the given string.

Methods inherited from class org.apache.hadoop.mapreduce.JobContext
`getCombinerClass, getConfiguration, getCredentials, getGroupingComparator, getInputFormatClass, getJar, getJobID, getJobName, getMapOutputKeyClass, getMapOutputValueClass, getMapperClass, getNumReduceTasks, getOutputFormatClass, getOutputKeyClass, getOutputValueClass, getPartitionerClass, getReducerClass, getSortComparator, getWorkingDirectory, userClassesTakesPrecedence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskAttemptContext

    public TaskAttemptContext(Configuration conf,
                              TaskAttemptID taskId)

Method Detail

### getTaskAttemptID

    public TaskAttemptID getTaskAttemptID()

  Get the unique name for this task attempt.

### setStatus

    public void setStatus(String msg)
                   throws IOException

  Set the current status of the task to the given string.

  Throws:
    `IOException`

### getStatus

    public String getStatus()

  Get the last set status message.

  Returns:
    the current status message

### progress

    public void progress()

  Report progress. The subtypes actually do work in this method.

  Specified by:
    `progress` in interface `Progressable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation